package wechat

import (
	"crypto/sha1"
	"encoding/hex"
	"math/rand"
)

// RandomString generate random size string
func randomString(size int) string {
	// generate size string [0-9a-zA-Z]
	const chars = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
	b := make([]byte, size)
	for i := range b {
		b[i] = chars[rand.Intn(len(chars))]
	}
	return string(b)
}

func hashSha1(input string) string {
	h := sha1.New()
	h.Write([]byte(input))
	return hex.EncodeToString(h.Sum(nil))
}
